LibreOffice LibreOffice 6.1 SDK API Reference

Public Attributes | List of all members
XGraphicObject Interface Reference

`XGraphicObject` objects represent in-memory image and graphic objects. More...

`import"XGraphicObject.idl";`

Inheritance diagram for XGraphicObject:

## Public Attributes
XGraphic | Graphic
| is the associated image/graphic for this object. More...

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

`XGraphicObject` objects represent in-memory image and graphic objects.

See also
  XGraphicObject
  GraphicProvider
  MediaProperties

## Member Data Documentation

## ◆ Graphic

XGraphic Graphic
| attribute

is the associated image/graphic for this object.

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XGraphicObject.idl